Delete transaction
Delete the transaction transaction_id on account account_id linked to bank connection bank_connection_id for consumer consumer_id.
DELETE
/
consumers
/
{consumer_id}
/
banks
/
{bank_connection_id}
/
accounts
/
{bank_account_id}
/
transactions
/
{transaction_id}
Delete transaction
curl --request DELETE \
--url https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Resource Not Found"
}{
"message": "Conflict error"
}{
"message": "Internal Server Error"
}Authorizations
Enter your "Injector" API Key
See Authentication section for more information
Path Parameters
Bank account uuid
Bank connection uuid
Transaction uuid
Unique ID of the consumer that you have registered when the user was onboarded.
Required string length:
2 - 100Response
Successful Response
Was this page helpful?
⌘I
Delete transaction
